Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt	(revision 6152)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt	(revision 6161)
@@ -31,44 +31,42 @@
    
 <div id="tab-1">        
-      <table class="zebra">
-      <tbody>
-      <tal:block repeat="widget view/widgets">
-        <tr>
-          <td class="label" tal:define="hint widget/hint">
-    	<label tal:condition="python:hint"
-    	       tal:attributes="for widget/name">
-    	  <span class="required" tal:condition="widget/required"
-    		>*</span><span i18n:translate=""
-    		tal:content="widget/label">label</span>
-    	</label>
-    	<label tal:condition="python:not hint"
-    	       tal:attributes="for widget/name">
-    	  <span class="required" tal:condition="widget/required"
-    		>*</span><span i18n:translate=""
-    		tal:content="widget/label">label</span>
-    	</label>:
-          </td>
-          <td class="field">
-    	<div class="widget" tal:content="structure widget">
-    	  <input type="text" />
-    	</div>
-    	<div class="error" tal:condition="widget/error">
-    	  <span tal:replace="structure widget/error">error</span>
-    	</div>
-          </td>
-        </tr>
-      </tal:block>
-      </tbody>
-      </table>
-
-    <div id="actionsView">
-        <span class="actionButtons" tal:condition="view/availableActions">
-            <span tal:repeat="action view/actions"
-                  tal:omit-tag="">
-              <input tal:condition="python:action.label in view.taboneactions"
-                     tal:replace="structure action/render"/>
-            </span>
-        </span>
-    </div>   
+    <table class="zebra">
+        <tbody>
+        <tal:block repeat="widget view/widgets">
+            <tr>
+              <td class="label" tal:define="hint widget/hint">
+            <label tal:condition="python:hint"
+                   tal:attributes="for widget/name">
+              <span class="required" tal:condition="widget/required"
+            	>*</span><span i18n:translate=""
+            	tal:content="widget/label">label</span>
+            </label>
+            <label tal:condition="python:not hint"
+                   tal:attributes="for widget/name">
+              <span class="required" tal:condition="widget/required"
+            	>*</span><span i18n:translate=""
+            	tal:content="widget/label">label</span>
+            </label>:
+              </td>
+              <td class="field">
+            <div class="widget" tal:content="structure widget">
+              <input type="text" />
+            </div>
+            <div class="error" tal:condition="widget/error">
+              <span tal:replace="structure widget/error">error</span>
+            </div>
+              </td>
+            </tr>
+        </tal:block>
+        </tbody>
+    </table>
+
+    <div class="actionButtons" tal:condition="view/availableActions">
+        <span tal:repeat="action view/actions"
+              tal:omit-tag="">
+          <input tal:condition="python:action.label in view.taboneactions"
+                 tal:replace="structure action/render"/>
+        </span>
+    </div>
 
 </div>    
@@ -100,13 +98,11 @@
     </table>
     <br /><br />
-    <div id="actionsView">
-        <span class="actionButtons" tal:condition="view/availableActions">
-            <span tal:repeat="action view/actions"
-                  tal:omit-tag="">
-              <input tal:condition="python:action.label in view.tabtwoactions"
-                     tal:replace="structure action/render"/>
-            </span>
-        </span>
-    </div>         
+    <div class="actionButtons" tal:condition="view/availableActions">
+        <span tal:repeat="action view/actions"
+              tal:omit-tag="">
+          <input tal:condition="python:action.label in view.tabtwoactions"
+                 tal:replace="structure action/render"/>
+        </span>
+    </div>
 </div>
 
@@ -137,22 +133,46 @@
     </table>
     <br /><br />
-    <div id="actionsView">
-        <span class="actionButtons" tal:condition="view/availableActions">
-            <span tal:repeat="action view/actions"
-                  tal:omit-tag="">
-              <input tal:condition="python:action.label in view.tabthreeactions"
-                     tal:replace="structure action/render"/>
-            </span>
-        </span>
-    </div>         
+    <div class="actionButtons" tal:condition="view/availableActions">
+        <span tal:repeat="action view/actions"
+              tal:omit-tag="">
+          <input tal:condition="python:action.label in view.tabthreeactions"
+                 tal:replace="structure action/render"/>
+        </span>
+    </div>
 </div> 
 
 <div id="tab-4">
-    <h3>Manage local roles</h3>
+    <br />
+    <table class="display dataTableManage">
+      <thead>
+        <tr>
+          <th>&nbsp;</th><th>User</th><th>Local Role</th>
+        </tr>
+      </thead>
+      <tbody>
+        <tr tal:repeat="entry view/getUsersWithLocalRoles"
+    	class="gradeB">
+    	  <td>
+            <input type="checkbox" name="role_id"
+                tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" />
+          </td>
+          <td tal:content="entry/user_title">User
+          </td>
+          <td tal:content="entry/local_role_title">
+    	       Local Role
+          </td>
+        </tr>
+      </tbody>
+    </table>
+    <div class="actionButtons" tal:condition="view/availableActions">
+        <span tal:repeat="action view/actions"
+              tal:omit-tag="">
+          <input tal:condition="python:action.label in view.tabfouractions1"
+                 tal:replace="structure action/render"/>
+        </span>
+    </div>
+    <br /><br />
     <table class="zebra">
     <tr>
-        <td>
-        <label>User:</label>
-        </td>
         <td>
             <select  id="user" name="user"  tal:repeat="user view/getUsers">
@@ -161,9 +181,4 @@
               </option>
             </select>
-        </td>
-    </tr>
-    <tr>
-        <td>
-        <label>Local Role:</label>
         </td>
         <td>
@@ -174,18 +189,17 @@
             </select>
         </td>
+        <td>
+            <div class="actionButtons" tal:condition="view/availableActions">
+                <span tal:repeat="action view/actions"
+                      tal:omit-tag="">
+                  <input tal:condition="python:action.label in view.tabfouractions2"
+                         tal:replace="structure action/render"/>
+                </span>
+            </div>
+        </td>
+        
     </tr>
     </table>
-
-    <div id="actionsView">
-        <span class="actionButtons" tal:condition="view/availableActions">
-            <span tal:repeat="action view/actions"
-                  tal:omit-tag="">
-              <input tal:condition="python:action.label in view.tabfouractions"
-                     tal:replace="structure action/render"/>
-            </span>
-        </span>
-    </div>
-</div>
-    
+</div>
 </div>
 </form>  
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt	(revision 6152)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt	(revision 6161)
@@ -30,44 +30,42 @@
    
 <div id="tab-1">        
-      <table class="zebra">
-      <tbody>
-      <tal:block repeat="widget view/widgets">
-        <tr>
-          <td class="label" tal:define="hint widget/hint">
-    	<label tal:condition="python:hint"
-    	       tal:attributes="for widget/name">
-    	  <span class="required" tal:condition="widget/required"
-    		>*</span><span i18n:translate=""
-    		tal:content="widget/label">label</span>
-    	</label>
-    	<label tal:condition="python:not hint"
-    	       tal:attributes="for widget/name">
-    	  <span class="required" tal:condition="widget/required"
-    		>*</span><span i18n:translate=""
-    		tal:content="widget/label">label</span>
-    	</label>:
-          </td>
-          <td class="field">
-    	<div class="widget" tal:content="structure widget">
-    	  <input type="text" />
-    	</div>
-    	<div class="error" tal:condition="widget/error">
-    	  <span tal:replace="structure widget/error">error</span>
-    	</div>
-          </td>
-        </tr>
-      </tal:block>
-      </tbody>
-      </table>
+    <table class="zebra">
+        <tbody>
+        <tal:block repeat="widget view/widgets">
+            <tr>
+              <td class="label" tal:define="hint widget/hint">
+            <label tal:condition="python:hint"
+                   tal:attributes="for widget/name">
+              <span class="required" tal:condition="widget/required"
+            	>*</span><span i18n:translate=""
+            	tal:content="widget/label">label</span>
+            </label>
+            <label tal:condition="python:not hint"
+                   tal:attributes="for widget/name">
+              <span class="required" tal:condition="widget/required"
+            	>*</span><span i18n:translate=""
+            	tal:content="widget/label">label</span>
+            </label>:
+              </td>
+              <td class="field">
+            <div class="widget" tal:content="structure widget">
+              <input type="text" />
+            </div>
+            <div class="error" tal:condition="widget/error">
+              <span tal:replace="structure widget/error">error</span>
+            </div>
+              </td>
+            </tr>
+        </tal:block>
+        </tbody>
+    </table>
 
-    <div id="actionsView">
-        <span class="actionButtons" tal:condition="view/availableActions">
-            <span tal:repeat="action view/actions"
-                  tal:omit-tag="">
-              <input tal:condition="python:action.label in view.taboneactions"
-                     tal:replace="structure action/render"/>
-            </span>
+    <div class="actionButtons" tal:condition="view/availableActions">
+        <span tal:repeat="action view/actions"
+              tal:omit-tag="">
+          <input tal:condition="python:action.label in view.taboneactions"
+                 tal:replace="structure action/render"/>
         </span>
-    </div>   
+    </div>
 
 </div>    
@@ -75,5 +73,5 @@
 <div id="tab-2">
   <h3 tal:content="view/subunits">Departments</h3>
-  <table class="zebra">
+    <table class="zebra">
     <thead>
       <tr>
@@ -101,24 +99,48 @@
       </tr>
     </tbody>
-  </table>
+    </table>
   
-    <div id="actionsView">
-        <span class="actionButtons" tal:condition="view/availableActions">
-            <span tal:repeat="action view/actions"
-                  tal:omit-tag="">
-              <input tal:condition="python:action.label in view.tabtwoactions"
-                     tal:replace="structure action/render"/>
-            </span>
+    <div class="actionButtons" tal:condition="view/availableActions">
+        <span tal:repeat="action view/actions"
+              tal:omit-tag="">
+          <input tal:condition="python:action.label in view.tabtwoactions"
+                 tal:replace="structure action/render"/>
         </span>
-    </div>      
+    </div>
 </div>
 
 <div id="tab-3">
-    <h3>Manage local roles</h3>
+    <br />
+    <table class="display dataTableManage">
+      <thead>
+        <tr>
+          <th>&nbsp;</th><th>User</th><th>Local Role</th>
+        </tr>
+      </thead>
+      <tbody>
+        <tr tal:repeat="entry view/getUsersWithLocalRoles"
+    	class="gradeB">
+    	  <td>
+            <input type="checkbox" name="role_id"
+                tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" />
+          </td>
+          <td tal:content="entry/user_title">User
+          </td>
+          <td tal:content="entry/local_role_title">
+    	       Local Role
+          </td>
+        </tr>
+      </tbody>
+    </table>
+    <div class="actionButtons" tal:condition="view/availableActions">
+        <span tal:repeat="action view/actions"
+              tal:omit-tag="">
+          <input tal:condition="python:action.label in view.tabthreeactions1"
+                 tal:replace="structure action/render"/>
+        </span>
+    </div>
+    <br /><br />
     <table class="zebra">
     <tr>
-        <td>
-        <label>User:</label>
-        </td>
         <td>
             <select  id="user" name="user"  tal:repeat="user view/getUsers">
@@ -127,9 +149,4 @@
               </option>
             </select>
-        </td>
-    </tr>
-    <tr>
-        <td>
-        <label>Local Role:</label>
         </td>
         <td>
@@ -140,16 +157,15 @@
             </select>
         </td>
+        <td>
+            <div class="actionButtons" tal:condition="view/availableActions">
+                <span tal:repeat="action view/actions"
+                      tal:omit-tag="">
+                  <input tal:condition="python:action.label in view.tabthreeactions2"
+                         tal:replace="structure action/render"/>
+                </span>
+            </div>
+        </td>
     </tr>
     </table>
-
-    <div id="actionsView">
-        <span class="actionButtons" tal:condition="view/availableActions">
-            <span tal:repeat="action view/actions"
-                  tal:omit-tag="">
-              <input tal:condition="python:action.label in view.tabthreeactions"
-                     tal:replace="structure action/render"/>
-            </span>
-        </span>
-    </div>
 </div>
 
